Skip to main content
POST
Creates a new tax code.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Body

application/json

Request parameters

Creates a new tax code. - Request

cashDiscountAccount
string

The cash discount account of the new tax code

generalLedgerAccount
string

The general ledger account of the new tax code

isAutomatic
boolean

Whether this tax code is automatic

name
string

The name of the new tax code

number
integer<int32>

The number of the new tax code. If not provided, a number will be auto-assigned.

Response

The tax code has been successfully created.

The response is of type string<uuid>.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"